    \documentclass[11pt]{article}
    \usepackage[utf8]{inputenc}
    \usepackage{amsmath}
    \usepackage{amsfonts}
    \usepackage{amssymb}
    \usepackage{graphicx}
    \usepackage{pdfpages}
    \usepackage{subfiles}
    \author{Gianluca Rigoletti}
    \title{Esercizi del corso di Analisi Statistica dei Dati}
    \graphicspath{{../es1/es1_files/}{./}{../es1/}{.}
{../es2/es2_files/}{./}{../es2/}{.}
{../es3/es3_files/}{./}{../es3/}{.}
{../es4/es4_files/}{./}{../es4/}{.}
{../es5/es5_files/}{./}{../es5/}{.}
{../es6/es6_files/}{./}{../es6/}{.}
{../es7/es7_files/}{./}{../es7/}{.}
}

    \pagenumbering{gobble}
        \usepackage[T1]{fontenc}
        % Nicer default font (+ math font) than Computer Modern for most use cases
        \usepackage{mathpazo}
        % Basic figure setup, for now with no caption control since it's done
        % automatically by Pandoc (which extracts ![](path) syntax from Markdown).
        \usepackage{graphicx}
        % We will generate all images so they have a width \maxwidth. This means
        % that they will get their normal width if they fit onto the page, but
        % are scaled down if they would overflow the margins.
        \makeatletter
        \def\maxwidth{\ifdim\Gin@nat@width>\linewidth\linewidth
        \else\Gin@nat@width\fi}
        \makeatother
        \let\Oldincludegraphics\includegraphics
        % Set max figure width to be 80% of text width, for now hardcoded.
        \renewcommand{\includegraphics}[1]{\Oldincludegraphics[width=.8\maxwidth]{#1}}
        % Ensure that by default, figures have no caption (until we provide a
        % proper Figure object with a Caption API and a way to capture that
        % in the conversion process - todo).
        \usepackage{caption}
        \DeclareCaptionLabelFormat{nolabel}{}
        \captionsetup{labelformat=nolabel}

        \usepackage{adjustbox} % Used to constrain images to a maximum size 
        \usepackage{xcolor} % Allow colors to be defined
        \usepackage{enumerate} % Needed for markdown enumerations to work
        \usepackage{geometry} % Used to adjust the document margins
        \usepackage{amsmath} % Equations
        \usepackage{amssymb} % Equations
        \usepackage{textcomp} % defines textquotesingle
        % Hack from http://tex.stackexchange.com/a/47451/13684:
        \AtBeginDocument{%
            \def\PYZsq{\textquotesingle}% Upright quotes in Pygmentized code
        }
        \usepackage{upquote} % Upright quotes for verbatim code
        \usepackage{eurosym} % defines \euro
        \usepackage[mathletters]{ucs} % Extended unicode (utf-8) support
        \usepackage[utf8]{inputenc} % Allow utf-8 characters in the tex document
        \usepackage{fancyvrb} % verbatim replacement that allows latex
        \usepackage{grffile} % extends the file name processing of package graphics 
                             % to support a larger range 
        % The hyperref package gives us a pdf with properly built
        % internal navigation ('pdf bookmarks' for the table of contents,
        % internal cross-reference links, web links for URLs, etc.)
        \usepackage{hyperref}
        \usepackage{longtable} % longtable support required by pandoc >1.10
        \usepackage{booktabs}  % table support for pandoc > 1.12.2
        \usepackage[inline]{enumitem} % IRkernel/repr support (it uses the 
        %enumerate* environment)
        \usepackage[normalem]{ulem} % ulem is needed to support strikethroughs 
        %(\sout)
                                    % normalem makes italics be italics, not 
                                    %underlines




        % Colors for the hyperref package
        \definecolor{urlcolor}{rgb}{0,.145,.698}
        \definecolor{linkcolor}{rgb}{.71,0.21,0.01}
        \definecolor{citecolor}{rgb}{.12,.54,.11}

        % ANSI colors
        \definecolor{ansi-black}{HTML}{3E424D}
        \definecolor{ansi-black-intense}{HTML}{282C36}
        \definecolor{ansi-red}{HTML}{E75C58}
        \definecolor{ansi-red-intense}{HTML}{B22B31}
        \definecolor{ansi-green}{HTML}{00A250}
        \definecolor{ansi-green-intense}{HTML}{007427}
        \definecolor{ansi-yellow}{HTML}{DDB62B}
        \definecolor{ansi-yellow-intense}{HTML}{B27D12}
        \definecolor{ansi-blue}{HTML}{208FFB}
        \definecolor{ansi-blue-intense}{HTML}{0065CA}
        \definecolor{ansi-magenta}{HTML}{D160C4}
        \definecolor{ansi-magenta-intense}{HTML}{A03196}
        \definecolor{ansi-cyan}{HTML}{60C6C8}
        \definecolor{ansi-cyan-intense}{HTML}{258F8F}
        \definecolor{ansi-white}{HTML}{C5C1B4}
        \definecolor{ansi-white-intense}{HTML}{A1A6B2}
        \definecolor{ansi-default-inverse-fg}{HTML}{FFFFFF}
        \definecolor{ansi-default-inverse-bg}{HTML}{000000}

        % commands and environments needed by pandoc snippets
        % extracted from the output of `pandoc -s`
        \providecommand{\tightlist}{%
          \setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}
        \DefineVerbatimEnvironment{Highlighting}{Verbatim}{commandchars=\\\{\}}
        % Add ',fontsize=\small' for more characters per line
        \newenvironment{Shaded}{}{}
        \newcommand{\KeywordTok}[1]{\textcolor[rgb]{0.00,0.44,0.13}{\textbf{{#1}}}}
        \newcommand{\DataTypeTok}[1]{\textcolor[rgb]{0.56,0.13,0.00}{{#1}}}
        \newcommand{\DecValTok}[1]{\textcolor[rgb]{0.25,0.63,0.44}{{#1}}}
        \newcommand{\BaseNTok}[1]{\textcolor[rgb]{0.25,0.63,0.44}{{#1}}}
        \newcommand{\FloatTok}[1]{\textcolor[rgb]{0.25,0.63,0.44}{{#1}}}
        \newcommand{\CharTok}[1]{\textcolor[rgb]{0.25,0.44,0.63}{{#1}}}
        \newcommand{\StringTok}[1]{\textcolor[rgb]{0.25,0.44,0.63}{{#1}}}
        \newcommand{\CommentTok}[1]{\textcolor[rgb]{0.38,0.63,0.69}{\textit{{#1}}}}
        \newcommand{\OtherTok}[1]{\textcolor[rgb]{0.00,0.44,0.13}{{#1}}}
        \newcommand{\AlertTok}[1]{\textcolor[rgb]{1.00,0.00,0.00}{\textbf{{#1}}}}
        \newcommand{\FunctionTok}[1]{\textcolor[rgb]{0.02,0.16,0.49}{{#1}}}
        \newcommand{\RegionMarkerTok}[1]{{#1}}
        \newcommand{\ErrorTok}[1]{\textcolor[rgb]{1.00,0.00,0.00}{\textbf{{#1}}}}
        \newcommand{\NormalTok}[1]{{#1}}

        % Additional commands for more recent versions of Pandoc
        \newcommand{\ConstantTok}[1]{\textcolor[rgb]{0.53,0.00,0.00}{{#1}}}
        \newcommand{\SpecialCharTok}[1]{\textcolor[rgb]{0.25,0.44,0.63}{{#1}}}
        \newcommand{\VerbatimStringTok}[1]{\textcolor[rgb]{0.25,0.44,0.63}{{#1}}}
        \newcommand{\SpecialStringTok}[1]{\textcolor[rgb]{0.73,0.40,0.53}{{#1}}}
        \newcommand{\ImportTok}[1]{{#1}}
        \newcommand{\DocumentationTok}[1]{\textcolor[rgb]{0.73,0.13,0.13}{\textit{{#1}}}}
        \newcommand{\AnnotationTok}[1]{\textcolor[rgb]{0.38,0.63,0.69}{\textbf{\textit{{#1}}}}}
        \newcommand{\CommentVarTok}[1]{\textcolor[rgb]{0.38,0.63,0.69}{\textbf{\textit{{#1}}}}}
        \newcommand{\VariableTok}[1]{\textcolor[rgb]{0.10,0.09,0.49}{{#1}}}
        \newcommand{\ControlFlowTok}[1]{\textcolor[rgb]{0.00,0.44,0.13}{\textbf{{#1}}}}
        \newcommand{\OperatorTok}[1]{\textcolor[rgb]{0.40,0.40,0.40}{{#1}}}
        \newcommand{\BuiltInTok}[1]{{#1}}
        \newcommand{\ExtensionTok}[1]{{#1}}
        \newcommand{\PreprocessorTok}[1]{\textcolor[rgb]{0.74,0.48,0.00}{{#1}}}
        \newcommand{\AttributeTok}[1]{\textcolor[rgb]{0.49,0.56,0.16}{{#1}}}
        \newcommand{\InformationTok}[1]{\textcolor[rgb]{0.38,0.63,0.69}{\textbf{\textit{{#1}}}}}
        \newcommand{\WarningTok}[1]{\textcolor[rgb]{0.38,0.63,0.69}{\textbf{\textit{{#1}}}}}


        % Define a nice break command that doesn't care if a line doesn't already
        % exist.
        \def\br{\hspace*{\fill} \\* }
        % Math Jax compatability definitions
        \def\gt{>}
        \def\lt{<}
        \let\Oldtex\TeX
        \let\Oldlatex\LaTeX
        \renewcommand{\TeX}{\textrm{\Oldtex}}
        \renewcommand{\LaTeX}{\textrm{\Oldlatex}}
        % Document parameters
        % Document title
        % Pygments definitions

    \makeatletter
    \def\PY@reset{\let\PY@it=\relax \let\PY@bf=\relax%
        \let\PY@ul=\relax \let\PY@tc=\relax%
        \let\PY@bc=\relax \let\PY@ff=\relax}
    \def\PY@tok#1{\csname PY@tok@#1\endcsname}
    \def\PY@toks#1+{\ifx\relax#1\empty\else%
        \PY@tok{#1}\expandafter\PY@toks\fi}
    \def\PY@do#1{\PY@bc{\PY@tc{\PY@ul{%
        \PY@it{\PY@bf{\PY@ff{#1}}}}}}}
    \def\PY#1#2{\PY@reset\PY@toks#1+\relax+\PY@do{#2}}

    \expandafter\def\csname 
    PY@tok@w\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.73,0.73,0.73}{##1}}}
    \expandafter\def\csname 
    PY@tok@c\endcsname{\let\PY@it=\textit\def\PY@tc##1{\textcolor[rgb]{0.25,0.50,0.50}{##1}}}
    \expandafter\def\csname 
    PY@tok@cp\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.74,0.48,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@k\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.00,0.50,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@kp\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.00,0.50,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@kt\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.69,0.00,0.25}{##1}}}
    \expandafter\def\csname 
    PY@tok@o\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.40,0.40,0.40}{##1}}}
    \expandafter\def\csname 
    PY@tok@ow\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.67,0.13,1.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@nb\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.00,0.50,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@nf\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.00,0.00,1.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@nc\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.00,0.00,1.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@nn\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.00,0.00,1.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@ne\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.82,0.25,0.23}{##1}}}
    \expandafter\def\csname 
    PY@tok@nv\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.10,0.09,0.49}{##1}}}
    \expandafter\def\csname 
    PY@tok@no\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.53,0.00,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@nl\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.63,0.63,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@ni\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.60,0.60,0.60}{##1}}}
    \expandafter\def\csname 
    PY@tok@na\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.49,0.56,0.16}{##1}}}
    \expandafter\def\csname 
    PY@tok@nt\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.00,0.50,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@nd\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.67,0.13,1.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@s\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.73,0.13,0.13}{##1}}}
    \expandafter\def\csname 
    PY@tok@sd\endcsname{\let\PY@it=\textit\def\PY@tc##1{\textcolor[rgb]{0.73,0.13,0.13}{##1}}}
    \expandafter\def\csname 
    PY@tok@si\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.73,0.40,0.53}{##1}}}
    \expandafter\def\csname 
    PY@tok@se\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.73,0.40,0.13}{##1}}}
    \expandafter\def\csname 
    PY@tok@sr\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.73,0.40,0.53}{##1}}}
    \expandafter\def\csname 
    PY@tok@ss\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.10,0.09,0.49}{##1}}}
    \expandafter\def\csname 
    PY@tok@sx\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.00,0.50,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@m\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.40,0.40,0.40}{##1}}}
    \expandafter\def\csname 
    PY@tok@gh\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.00,0.00,0.50}{##1}}}
    \expandafter\def\csname 
    PY@tok@gu\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.50,0.00,0.50}{##1}}}
    \expandafter\def\csname 
    PY@tok@gd\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.63,0.00,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@gi\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.00,0.63,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@gr\endcsname{\def\PY@tc##1{\textcolor[rgb]{1.00,0.00,0.00}{##1}}}
    \expandafter\def\csname PY@tok@ge\endcsname{\let\PY@it=\textit}
    \expandafter\def\csname PY@tok@gs\endcsname{\let\PY@bf=\textbf}
    \expandafter\def\csname 
    PY@tok@gp\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.00,0.00,0.50}{##1}}}
    \expandafter\def\csname 
    PY@tok@go\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.53,0.53,0.53}{##1}}}
    \expandafter\def\csname 
    PY@tok@gt\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.00,0.27,0.87}{##1}}}
    \expandafter\def\csname 
    PY@tok@err\endcsname{\def\PY@bc##1{\setlength{\fboxsep}{0pt}\fcolorbox[rgb]{1.00,0.00,0.00}{1,1,1}{\strut
     ##1}}}
    \expandafter\def\csname 
    PY@tok@kc\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.00,0.50,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@kd\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.00,0.50,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@kn\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.00,0.50,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@kr\endcsname{\let\PY@bf=\textbf\def\PY@tc##1{\textcolor[rgb]{0.00,0.50,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@bp\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.00,0.50,0.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@fm\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.00,0.00,1.00}{##1}}}
    \expandafter\def\csname 
    PY@tok@vc\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.10,0.09,0.49}{##1}}}
    \expandafter\def\csname 
    PY@tok@vg\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.10,0.09,0.49}{##1}}}
    \expandafter\def\csname 
    PY@tok@vi\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.10,0.09,0.49}{##1}}}
    \expandafter\def\csname 
    PY@tok@vm\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.10,0.09,0.49}{##1}}}
    \expandafter\def\csname 
    PY@tok@sa\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.73,0.13,0.13}{##1}}}
    \expandafter\def\csname 
    PY@tok@sb\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.73,0.13,0.13}{##1}}}
    \expandafter\def\csname 
    PY@tok@sc\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.73,0.13,0.13}{##1}}}
    \expandafter\def\csname 
    PY@tok@dl\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.73,0.13,0.13}{##1}}}
    \expandafter\def\csname 
    PY@tok@s2\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.73,0.13,0.13}{##1}}}
    \expandafter\def\csname 
    PY@tok@sh\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.73,0.13,0.13}{##1}}}
    \expandafter\def\csname 
    PY@tok@s1\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.73,0.13,0.13}{##1}}}
    \expandafter\def\csname 
    PY@tok@mb\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.40,0.40,0.40}{##1}}}
    \expandafter\def\csname 
    PY@tok@mf\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.40,0.40,0.40}{##1}}}
    \expandafter\def\csname 
    PY@tok@mh\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.40,0.40,0.40}{##1}}}
    \expandafter\def\csname 
    PY@tok@mi\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.40,0.40,0.40}{##1}}}
    \expandafter\def\csname 
    PY@tok@il\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.40,0.40,0.40}{##1}}}
    \expandafter\def\csname 
    PY@tok@mo\endcsname{\def\PY@tc##1{\textcolor[rgb]{0.40,0.40,0.40}{##1}}}
    \expandafter\def\csname 
    PY@tok@ch\endcsname{\let\PY@it=\textit\def\PY@tc##1{\textcolor[rgb]{0.25,0.50,0.50}{##1}}}
    \expandafter\def\csname 
    PY@tok@cm\endcsname{\let\PY@it=\textit\def\PY@tc##1{\textcolor[rgb]{0.25,0.50,0.50}{##1}}}
    \expandafter\def\csname 
    PY@tok@cpf\endcsname{\let\PY@it=\textit\def\PY@tc##1{\textcolor[rgb]{0.25,0.50,0.50}{##1}}}
    \expandafter\def\csname 
    PY@tok@c1\endcsname{\let\PY@it=\textit\def\PY@tc##1{\textcolor[rgb]{0.25,0.50,0.50}{##1}}}
    \expandafter\def\csname 
    PY@tok@cs\endcsname{\let\PY@it=\textit\def\PY@tc##1{\textcolor[rgb]{0.25,0.50,0.50}{##1}}}

    \def\PYZbs{\char`\\}
    \def\PYZus{\char`\_}
    \def\PYZob{\char`\{}
    \def\PYZcb{\char`\}}
    \def\PYZca{\char`\^}
    \def\PYZam{\char`\&}
    \def\PYZlt{\char`\<}
    \def\PYZgt{\char`\>}
    \def\PYZsh{\char`\#}
    \def\PYZpc{\char`\%}
    \def\PYZdl{\char`\$}
    \def\PYZhy{\char`\-}
    \def\PYZsq{\char`\'}
    \def\PYZdq{\char`\"}
    \def\PYZti{\char`\~}
    % for compatibility with earlier versions
    \def\PYZat{@}
    \def\PYZlb{[}
    \def\PYZrb{]}
    \makeatother


        % Exact colors from NB
        \definecolor{incolor}{rgb}{0.0, 0.0, 0.5}
        \definecolor{outcolor}{rgb}{0.545, 0.0, 0.0}




        % Prevent overflowing lines due to hard-to-break entities
        \sloppy 
        % Setup hyperref package
        \hypersetup{
          breaklinks=true,  % so long urls are correctly broken across lines
          colorlinks=true,
          urlcolor=urlcolor,
          linkcolor=linkcolor,
          citecolor=citecolor,
          }
        % Slightly bigger margins than the latex defaults

        \geometry{verbose,tmargin=1in,bmargin=1in,lmargin=1in,rmargin=1in}


    \begin{document}
        \maketitle

    \subfile{../es1/es1.tex}
    \newpage

    \subfile{../es2/es2.tex}
    \newpage

    \subfile{../es3/es3.tex}
    \newpage

    \subfile{../es4/es4.tex}
    \newpage

    \subfile{../es5/es5.tex}
    \newpage

    \subfile{../es6/es6.tex}
    \newpage

    \subfile{../es7/es7.tex}
    \newpage


    \end{document}

